Bug 470321 - F10/rawhide kernel needs kacpid/kacpi_notify resume fixes
F10/rawhide kernel needs kacpid/kacpi_notify resume fixes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-11-06 12:51 EST by James Ralston
Modified: 2013-01-09 23:54 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:45:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 451399 None None None Never

  None (edit)
Description James Ralston 2008-11-06 12:51:19 EST
The problem with kacpid/kapci_notify consuming the CPU upon ACPI resume, reported against F9 (in bug 451399), also affects Rawhide kernels and thus F10.

This bug has been fixed in the latest F9 updates-testing kernels, but still has not been fixed for rawhide/F10.
Comment 1 James Ralston 2008-11-06 12:54:43 EST
Since this will effectively be a regression by the time F10 is released, I'm updating this to a blocker...
Comment 2 Robert 2008-11-07 17:35:56 EST
Is this likely to be resolved. I'm still seeing this in the pre-release? I can test an update if needed.
Comment 3 Chuck Ebbert 2008-11-09 02:26:56 EST
All the updates from the f-9 updates-testing kernel plus the two updates that went in 2.6.27.5-29.fc9 are in kernel-2.6.27.5-89.fc10
Comment 4 Jesse Keating 2008-11-10 18:02:18 EST
kernel-2.6.27.5-92.fc10 should be in tomorrow's rawhide, please test it then.
Comment 5 Magnus Vesterlund 2008-11-11 04:28:18 EST
Tested kernel-2.6.27.5-92.fc10 on my Dell Latitude D820, kacpid/kacpi_notify still consume CPU after resume.
Comment 6 James Ralston 2008-11-11 18:36:10 EST
I tested 2.6.27.5-94; as Magnus reported for 2.6.27.5-92, kacpid/kacpi_notify
still consume the CPU after resume.
Comment 7 Robert 2008-11-11 19:03:23 EST
Same here, no joy on .5-94.
Comment 8 Will Woods 2008-11-12 11:35:51 EST
Fails retesting. Gonna need to give this another look, I guess.

Keep in mind that this does not interfere with installation, nor corrupt data, and we can fix it with a post-F10 update. If we can't get a satisfactory solution we probably won't block the release for this.
Comment 9 Jesse Keating 2008-11-14 18:40:15 EST
Since we wouldn't block release, -> Target.
Comment 10 Christian Krause 2008-11-16 15:32:52 EST
I've tested kernel 2.6.27.5-109.fc10.i686 on my Dell Latitude D610 notebook and both ACPI related problems are solved:

1. suspend/resume works fine, kacpid/kacpi_notify don't trash the CPU anymore
2. undock/dock works without any problems, no kernel crashes anymore
Comment 11 Robert 2008-11-16 20:57:15 EST
No joy for me still. My CPU still gets loaded up after suspend with the latest kernel.
Comment 12 James Ralston 2008-11-19 13:27:46 EST
On my Dell Latitude D620, with 2.6.27.5-109, kacpid/kacpi_notify still trash the CPU after a resume.

I don't agree with changing this bug from F10Blocker to F10Target. Having non-functional ACPI suspend/resume is a critical bug, especially for mobile devices. If F10 is kicked out the door with this bug still present, I think it's going to make a very bad impression for users of mobile devices who are affected by it.

I will look at the overall patchset that fixes the kacpid/kacpi_notify bug again and see if I can't isolate out just the bits that address the kacpid/kacpi_notify bug, without the hot [un]docking features.
Comment 17 Bug Zapper 2008-11-25 23:54:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 W.C. Epperson 2008-11-27 18:02:49 EST
This was also in bug 454954 against F8.  Problem still occurring on Dell Latitude D600 on 2.6.27.5-117.fc10.i686.
Comment 19 Chuck Ebbert 2009-04-15 16:43:01 EDT
Please try kernel-2.6.29.1-30 from the updates-testing repository.
Comment 20 Robert 2009-04-16 06:45:59 EDT
2.6.29.1-30 seems good to me.
Comment 21 Bug Zapper 2009-11-18 03:46:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-12-18 01:45:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.